// ---------------------------------------------------------------------------------------------------------------------
// The cache store interface.
// ---------------------------------------------------------------------------------------------------------------------

export interface ICacheStore
{
    get(key : string) : Promise<any>;
    set(key : string, payload : any) : Promise<unknown>;
    teardown ?: () => Promise<void>;
}

// ---------------------------------------------------------------------------------------------------------------------
